> For the complete documentation index, see [llms.txt](https://docs.lukkit.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lukkit.net/gui/gui_advanced_inv.md).

# Create an advanced inv

## Create an item with more information

```lua
-- Import utils
local itemStack = import("org.bukkit.inventory.ItemStack")
local javaArrayList = import("java.util.ArrayList")
local material = import("$.Material")
-- Create inventory
local title = "This is the inventory title"
local slots = 9
local inv = plugin.getServer():createInventory(nil, slots, title)

-- Create new item stack
local countOfItems = 1
local newItemStack = luajava.new(itemStack, material.GRASS, countOfItems, 0)
-- Get item meta from new item stack
local meta = newItemStack:getItemMeta()
-- Set new item text
meta:setDisplayName("WoW crazy item")

-- Set new lore to item
local description = {"WoW this is a cool", "description O.o"}
local list = luajava.new(javaArrayList)
for i = 1, #description do
  list:add(description[i])
end
meta:setLore(list)

-- Set the new item meta
newItemStack:setItemMeta(meta)
-- Set item to a slot
local setSlot = 0
inv:setItem(setSlot, newItemStack)
-- Open inventory for player
player:openInventory(inv)
```

This code allows you to set the item name and the lore text

![inv\_advanced](https://user-images.githubusercontent.com/15909166/119182420-29c95d80-ba73-11eb-8ad8-0ba5825f917c.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lukkit.net/gui/gui_advanced_inv.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
